/[pcsx2_0.9.7]/auto_build_latest_upstream.sh
ViewVC logotype

Diff of /auto_build_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_build_latest_upstream.sh	2010/09/09 18:08:52	101
+++ auto_build_latest_upstream.sh	2010/09/09 18:40:12	103
@@ -14,6 +14,9 @@
 if [ "$3" == "--no-prebuild" ] ; then
         DISABLE_PREBUILD="1"
 fi
+if [ "$4" == "--no-cleanup" ] ; then
+        DISABLE_CLEANUP="1"
+fi
 
 # output variables
 echo "---------------------------------------------------------------------------------------"
@@ -34,14 +37,17 @@
 
 # call auto prebuild
 if [ "$DISABLE_PREBUILD" == "0" ] ; then
-if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
-	"$downstream_export_location/auto_prebuild_latest_upstream.sh"
-	if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
-		echo "PREBUILD FAILED..."
-		exit 1
-	fi	
+	if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
+		"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+		if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
+			echo "PREBUILD FAILED..."
+			exit 1
+		fi	
+	fi
 else
 echo "PREBUILD HAS BEEN DISABLED..."	
+cd "$PCSX2_BUILD_TMP"
+find -name *.pch -exec rm -f {} \;
 echo	
 fi
 
@@ -65,10 +71,14 @@
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 
 	echo
 	echo "AUTOBUILD COMPLETE..."
@@ -82,10 +92,15 @@
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 	echo
 	echo "BUILD FAILED..."
 	echo

 

  ViewVC Help
Powered by ViewVC 1.1.22